package org.chenyang.http.impl.cookie;

import org.chenyang.http.annotation.Contract;
import org.chenyang.http.annotation.ThreadingBehavior;
import org.chenyang.http.cookie.CookieSpec;
import org.chenyang.http.cookie.CookieSpecFactory;
import org.chenyang.http.cookie.CookieSpecProvider;
import org.chenyang.http.params.HttpParams;
import org.chenyang.http.protocol.HttpContext;

/** @deprecated */
@Deprecated
@Contract(
   threading = ThreadingBehavior.IMMUTABLE
)
public class IgnoreSpecFactory implements CookieSpecFactory, CookieSpecProvider {
   public CookieSpec newInstance(HttpParams params) {
      return new IgnoreSpec();
   }

   public CookieSpec create(HttpContext context) {
      return new IgnoreSpec();
   }
}
